Bug 1019009 - Incorrect chapter about distributed transaction involved in the text about begining tx
Incorrect chapter about distributed transaction involved in the text about be...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: post-GA
: EAP 6.3.0
Assigned To: David Michael
Hayk Hovsepyan
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 19:38 EDT by Ondrej Chaloupka
Modified: 2014-11-23 18:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build Name: 14875, Development Guide-6.2-1 Build Date: 02-10-2013 13:20:00 Topic ID: 4304-369115 [Latest]
Last Closed: 2014-11-23 18:16:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Chaloupka 2013-10-14 19:38:42 EDT
Title: Begin a Transaction

The sub-chapter with title "Distributed Transactions" should not be under this chapter. Move it somewhere else.

The text is more or less ok. I mean distributed transaction description:
A distributed transaction is one where the transaction participants are in separate applications on multiple servers. If a participant joins a transaction that already exists, rather than creating a new transaction context, the two (or more) participants which share the context are participating a distributed transaction. In order to use distribured transactions, you must configure the ORB. Refer to Refer to the ORB Configuration section of the Administration and Configuration Guide for more information on ORB configuration.
but it's not mentioned that there should be possible to use JTA distributed transactions (described in chapter about transactions above) as possibility with some limitations.
Comment 5 Hayk Hovsepyan 2014-09-22 03:53:51 EDT
Verified on Revision 6.3.0-31

Note You need to log in before you can comment on or make changes to this bug.